"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientFactory = void 0;
const github_1 = require("@git-filesystem/github");
const gitlab_1 = require("@git-filesystem/gitlab");
class ClientFactory {
    getClientForProvider(provider, owner, accessToken, applicationName, authorDetails, committerDetails, jsonConfig) {
        switch (provider) {
            case "github":
                return new github_1.GitHubClient(owner, accessToken, applicationName, authorDetails, committerDetails, jsonConfig);
            case "gitlab":
                return new gitlab_1.GitLabClient(owner, accessToken, applicationName, authorDetails, committerDetails, jsonConfig);
            default:
                throw new Error(`No provider found for the value '${provider}'`);
        }
    }
}
exports.ClientFactory = ClientFactory;
//# sourceMappingURL=client-factory.js.map